import re

class Corrector:

    def _get_dict(self):
        di = {

            ('den', 'lu', 'mi', 'ma', 'chong', 'zhi'): '登录密码重置',
            ('deng', 'lu', 'mi', 'ma', 'cong', 'zhi'): '登录密码重置',
            ('deng', 'lu', 'mi', 'ma', 'chong', 'zi'): '登录密码重置',
            ('qing', 'qing', 'qian', 'bao'): '亲情钱包',
            ('qin', 'qin', 'qian', 'bao'): '亲情钱包',
            ('qin', 'qing', 'qiang', 'bao'): '亲情钱包',
            ('ji', 'jing'): '基金',
            ('tui', 'jiang', 'you', 'li'): '推荐有礼',
            ('yun', 'shan', 'xiao', 'yuan'): '云上校园',
            ('yun', 'sang', 'xiao', 'yuan'): '云上校园',
            ('ying', 'si'): '隐私',
            ('yin', 'shi'): '隐私',
            ('fen', 'shou', 'xing', 'qi', 'si'): '丰收星期四',
            ('feng', 'sou', 'xing', 'qi', 'si'): '丰收星期四',
            ('feng', 'shou', 'xin', 'qi', 'si'): '丰收星期四',
            ('feng', 'shou', 'xing', 'qi', 'shi'): '丰收星期四',
            ('dian', 'yin', 'piao'): '电影票',
            ('su', 'zi', 'ren', 'min', 'bi'): '数字人民币',
            ('shu', 'zhi', 'ren', 'min', 'bi'): '数字人民币',
            ('shu', 'zi', 'reng', 'min', 'bi'): '数字人民币',
            ('shu', 'zi', 'ren', 'ming', 'bi'): '数字人民币',
            ('yu', 'jie', 'xiang', 'jin'): '预借现金',
            ('yu', 'jie', 'xian', 'jing'): '预借现金',
            ('zi', 'neng', 'zhang', 'dan'): '智能账单',
            ('zhi', 'nen', 'zhang', 'dan'): '智能账单',
            ('zhi', 'neng', 'zhan', 'dan'): '智能账单',
            ('zhi', 'neng', 'zang', 'dan'): '智能账单',
            ('zhi', 'neng', 'zhang', 'dang'): '智能账单',
            ('fen', 'shou', 'lian', 'meng'): '丰收联盟',
            ('feng', 'sou', 'lian', 'meng'): '丰收联盟',
            ('feng', 'shou', 'liang', 'meng'): '丰收联盟',
            ('feng', 'shou', 'lian', 'men'): '丰收联盟',
            ('se', 'bao', 'ka', 'gua', 'shi'): '社保卡挂失',
            ('she', 'bao', 'ka', 'gua', 'si'): '社保卡挂失',
            ('cu', 'xing'): '出行',
            ('chu', 'xin'): '出行',
            ('se', 'bao', 'ka', 'qi', 'yong'): '社保卡启用',
            ('zhi', 'jin', 'gui', 'ji'): '资金归集',
            ('zi', 'jing', 'gui', 'ji'): '资金归集',
            ('zeng', 'xin', 'shou', 'quan'): '征信授权',
            ('zhen', 'xin', 'shou', 'quan'): '征信授权',
            ('zheng', 'xing', 'shou', 'quan'): '征信授权',
            ('zheng', 'xin', 'sou', 'quan'): '征信授权',
            ('jing', 'rong', 'zhu', 'shou'): '金融助手',
            ('jin', 'rong', 'zu', 'shou'): '金融助手',
            ('jin', 'rong', 'zhu', 'sou'): '金融助手',
            ('ceng', 'che', 'ma'): '乘车码',
            ('chen', 'che', 'ma'): '乘车码',
            ('cheng', 'ce', 'ma'): '乘车码',
            ('qin', 'shao', 'nian', 'gong'): '青少年宫',
            ('qing', 'sao', 'nian', 'gong'): '青少年宫',
            ('qing', 'shao', 'niang', 'gong'): '青少年宫',
            ('zi', 'hui', 'ting', 'che'): '智慧停车',
            ('zhi', 'hui', 'ting', 'ce'): '智慧停车',
            ('huo', 'ce', 'piao'): '火车票',
            ('ou', 'hai', 'xing', 'ju', 'min', 'jia', 'yuan'): '瓯海新居民家园',
            ('ou', 'hai', 'xin', 'ju', 'ming', 'jia', 'yuan'): '瓯海新居民家园',
            ('xiao', 'shan', 'pin', 'cheng'): '小商品城',
            ('xiao', 'sang', 'pin', 'cheng'): '小商品城',
            ('xiao', 'shang', 'ping', 'cheng'): '小商品城',
            ('xiao', 'shang', 'pin', 'ceng'): '小商品城',
            ('xiao', 'shang', 'pin', 'chen'): '小商品城',
            ('zu', 'xiao'): '注销',
            ('jiao', 'yu', 'feng', 'qi'): '教育分期',
            ('zi', 'fu', 'she', 'zhi'): '支付设置',
            ('zhi', 'fu', 'se', 'zhi'): '支付设置',
            ('zhi', 'fu', 'she', 'zi'): '支付设置',
            ('se', 'bao'): '社保',
            ('dan', 'tuan', 'fei'): '党团费',
            ('yan', 'lao', 'ren', 'zheng'): '养老认证',
            ('yang', 'lao', 'reng', 'zheng'): '养老认证',
            ('yang', 'lao', 'ren', 'zeng'): '养老认证',
            ('yang', 'lao', 'ren', 'zhen'): '养老认证',
            ('zu', 'hu', 'cha', 'kan'): '住户查看',
            ('zhu', 'hu', 'ca', 'kan'): '住户查看',
            ('zhu', 'hu', 'cha', 'kang'): '住户查看',
            ('fen', 'shou', 'su', 'pei'): '丰收溯配',
            ('feng', 'sou', 'su', 'pei'): '丰收溯配',
            ('feng', 'shou', 'shu', 'pei'): '丰收溯配',
            ('su', 'zi', 'men', 'pai'): '数字门牌',
            ('shu', 'zhi', 'men', 'pai'): '数字门牌',
            ('shu', 'zi', 'meng', 'pai'): '数字门牌',
            ('wo', 'de', 'dai', 'kuang'): '我的贷款',
            ('seng', 'wu', 'shi', 'bie', 'deng', 'lu'): '生物识别登录',
            ('shen', 'wu', 'shi', 'bie', 'deng', 'lu'): '生物识别登录',
            ('sheng', 'wu', 'si', 'bie', 'deng', 'lu'): '生物识别登录',
            ('sheng', 'wu', 'shi', 'bie', 'den', 'lu'): '生物识别登录',
            ('zi', 'hui', 'hui', 'dan', 'ji'): '智慧回单机',
            ('zhi', 'hui', 'hui', 'dang', 'ji'): '智慧回单机',
            ('bang', 'ben', 'qie', 'huan'): '版本切换',
            ('ban', 'beng', 'qie', 'huan'): '版本切换',
            ('ban', 'ben', 'qie', 'huang'): '版本切换',
            ('fan', 'dai', 'ji', 'suan', 'qi'): '房贷计算器',
            ('fang', 'dai', 'ji', 'shuan', 'qi'): '房贷计算器',
            ('dang', 'bao', 'fei', 'jiao', 'na'): '担保费缴纳',
            ('duan', 'xing', 'fu', 'wu'): '短信服务',
            ('fu', 'zai'): '负债',
            ('jiao', 'sui', 'qian', 'yue'): '缴税签约',
            ('jiao', 'shui', 'qiang', 'yue'): '缴税签约',
            ('yu', 'le', 'cong', 'zhi'): '娱乐充值',
            ('yu', 'le', 'chong', 'zi'): '娱乐充值',
            ('xi', 'ce'): '洗车',
            ('xiao', 'ceng', 'xu'): '小程序',
            ('xiao', 'chen', 'xu'): '小程序',
            ('ding', 'dang'): '订单',
            ('zhu', 'fang', 'fen', 'qi'): '租房分期',
            ('zu', 'fan', 'fen', 'qi'): '租房分期',
            ('zu', 'fang', 'feng', 'qi'): '租房分期',
            ('an', 'quan', 'weng', 'ti', 'guan', 'li'): '安全问题管理',
            ('an', 'quan', 'wen', 'ti', 'guang', 'li'): '安全问题管理',
            ('qin', 'chu', 'huan', 'cun'): '清除缓存',
            ('qing', 'cu', 'huan', 'cun'): '清除缓存',
            ('qing', 'chu', 'huang', 'cun'): '清除缓存',
            ('qing', 'chu', 'huan', 'chun'): '清除缓存',
            ('di', 'shan', 'fang', 'shou', 'quan', 'deng', 'lu'): '第三方授权登录',
            ('di', 'sang', 'fang', 'shou', 'quan', 'deng', 'lu'): '第三方授权登录',
            ('di', 'san', 'fan', 'shou', 'quan', 'deng', 'lu'): '第三方授权登录',
            ('di', 'san', 'fang', 'sou', 'quan', 'deng', 'lu'): '第三方授权登录',
            ('di', 'san', 'fang', 'shou', 'quan', 'den', 'lu'): '第三方授权登录',
            ('gui', 'jing', 'shu'): '贵金属',
            ('gui', 'jin', 'su'): '贵金属',
            ('zhi', 'chan'): '资产',
            ('zi', 'chang'): '资产',
            ('zi', 'can'): '资产',
            ('fa', 'yuan', 'an', 'kuang'): '法院案款',
            ('li', 'sui', 'xun', 'zu', 'ji'): '丽水寻租记',
            ('li', 'shui', 'xun', 'zhu', 'ji'): '丽水寻租记',
            ('gong', 'xian', 'chong', 'dian', 'bao'): '共享充电宝',
            ('gong', 'xiang', 'cong', 'dian', 'bao'): '共享充电宝',
            ('se', 'bao', 'ka', 'ji', 'huo'): '社保卡激活',
            ('jiao', 'chun', 'xin', 'xi'): '缴存信息',
            ('jiao', 'cun', 'xing', 'xi'): '缴存信息',
            ('e', 'feng', 'qi'): 'e分期',
            ('QQ', 'cong', 'zhi'): 'QQ充值',
            ('QQ', 'chong', 'zi'): 'QQ充值',
            ('zhuang', 'zhang', 'zhi', 'fu', 'e', 'du', 'guan', 'li'): '转账支付额度管理',
            ('zuan', 'zhang', 'zhi', 'fu', 'e', 'du', 'guan', 'li'): '转账支付额度管理',
            ('zhuan', 'zhan', 'zhi', 'fu', 'e', 'du', 'guan', 'li'): '转账支付额度管理',
            ('zhuan', 'zang', 'zhi', 'fu', 'e', 'du', 'guan', 'li'): '转账支付额度管理',
            ('zhuan', 'zhang', 'zi', 'fu', 'e', 'du', 'guan', 'li'): '转账支付额度管理',
            ('zhuan', 'zhang', 'zhi', 'fu', 'e', 'du', 'guang', 'li'): '转账支付额度管理',
            ('zhai', 'xian', 'shen', 'fen', 'ren', 'zheng'): '在线身份认证',
            ('zai', 'xiang', 'shen', 'fen', 'ren', 'zheng'): '在线身份认证',
            ('zai', 'xian', 'sen', 'fen', 'ren', 'zheng'): '在线身份认证',
            ('zai', 'xian', 'sheng', 'fen', 'ren', 'zheng'): '在线身份认证',
            ('zai', 'xian', 'shen', 'feng', 'ren', 'zheng'): '在线身份认证',
            ('zai', 'xian', 'shen', 'fen', 'reng', 'zheng'): '在线身份认证',
            ('zai', 'xian', 'shen', 'fen', 'ren', 'zeng'): '在线身份认证',
            ('zai', 'xian', 'shen', 'fen', 'ren', 'zhen'): '在线身份认证',
            ('fen', 'shou', 'gou', 'ding', 'dan'): '丰收购订单',
            ('feng', 'sou', 'gou', 'ding', 'dan'): '丰收购订单',
            ('feng', 'shou', 'gou', 'ding', 'dang'): '丰收购订单',
            ('xiao', 'yuan', 'ka', 'cong', 'zhi'): '校园卡充值',
            ('xiao', 'yuan', 'ka', 'chong', 'zi'): '校园卡充值',
            ('xiao', '6', 'mai', 'chai'): '小6买菜',
            ('ji', 'feng', 'gou'): '积分购',
            ('wo', 'de', 'sou', 'cang'): '我的收藏',
            ('wo', 'de', 'shou', 'chang'): '我的收藏',
            ('wo', 'de', 'shou', 'can'): '我的收藏',
            ('gong', 'gong', 'zi', 'fu'): '公共支付',
            ('shao', 'yi', 'sao'): '扫一扫',
            ('sao', 'yi', 'shao'): '扫一扫',
            ('yuan', 'ceng', 'yin', 'hang'): '远程银行',
            ('yuan', 'chen', 'yin', 'hang'): '远程银行',
            ('yuan', 'cheng', 'ying', 'hang'): '远程银行',
            ('yuan', 'cheng', 'yin', 'han'): '远程银行',
            ('guang', 'yu'): '关于',
            ('wo', 'de', 'guang', 'jia'): '我的管家',
            ('cong', 'zhi', 'zhong', 'xin'): '充值中心',
            ('chong', 'zi', 'zhong', 'xin'): '充值中心',
            ('chong', 'zhi', 'zong', 'xin'): '充值中心',
            ('chong', 'zhi', 'zhong', 'xing'): '充值中心',
            ('li', 'chai'): '理财',
            ('sou', 'fu', 'kuan'): '收付款',
            ('shou', 'fu', 'kuang'): '收付款',
            ('ce', 'zhu', 'fu', 'wu'): '车主服务',
            ('che', 'zu', 'fu', 'wu'): '车主服务',
            ('dian', 'zhi', 'zhang', 'hu', 'e', 'du', 'cha', 'xun'): '电子账户额度查询',
            ('dian', 'zi', 'zhan', 'hu', 'e', 'du', 'cha', 'xun'): '电子账户额度查询',
            ('dian', 'zi', 'zang', 'hu', 'e', 'du', 'cha', 'xun'): '电子账户额度查询',
            ('dian', 'zi', 'zhang', 'hu', 'e', 'du', 'ca', 'xun'): '电子账户额度查询',
            ('fen', 'shou', 'e', 'zhi', 'fu'): '丰收e支付',
            ('feng', 'sou', 'e', 'zhi', 'fu'): '丰收e支付',
            ('feng', 'shou', 'e', 'zi', 'fu'): '丰收e支付',
            ('zi', 'hui', 'nong', 'ju'): '智慧农居',
            ('jiao', 'fei', 'qiang', 'yue'): '缴费签约',
            ('dian', 'zhi', 'she', 'bao', 'ka'): '电子社保卡',
            ('dian', 'zi', 'se', 'bao', 'ka'): '电子社保卡',
            ('su', 'zi', 'ren', 'min', 'bi', 'qian', 'bao', 'e', 'du', 'guan', 'li'): '数字人民币钱包额度管理',
            ('shu', 'zhi', 'ren', 'min', 'bi', 'qian', 'bao', 'e', 'du', 'guan', 'li'): '数字人民币钱包额度管理',
            ('shu', 'zi', 'reng', 'min', 'bi', 'qian', 'bao', 'e', 'du', 'guan', 'li'): '数字人民币钱包额度管理',
            ('shu', 'zi', 'ren', 'ming', 'bi', 'qian', 'bao', 'e', 'du', 'guan', 'li'): '数字人民币钱包额度管理',
            ('shu', 'zi', 'ren', 'min', 'bi', 'qiang', 'bao', 'e', 'du', 'guan', 'li'): '数字人民币钱包额度管理',
            ('shu', 'zi', 'ren', 'min', 'bi', 'qian', 'bao', 'e', 'du', 'guang', 'li'): '数字人民币钱包额度管理',
            ('dian', 'zhi', 'piao', 'quan'): '电子票券',
            ('yi', 'bao', 'dian', 'zhi', 'ping', 'zheng'): '医保电子凭证',
            ('yi', 'bao', 'dian', 'zi', 'pin', 'zheng'): '医保电子凭证',
            ('yi', 'bao', 'dian', 'zi', 'ping', 'zeng'): '医保电子凭证',
            ('yi', 'bao', 'dian', 'zi', 'ping', 'zhen'): '医保电子凭证',
            ('xing', 'ao', 'ran', 'qi'): '新奥燃气',
            ('xin', 'ao', 'rang', 'qi'): '新奥燃气',
            ('si', 'pin', 'fu', 'wu'): '视频服务',
            ('shi', 'ping', 'fu', 'wu'): '视频服务',
            ('su', 'ma', 'fen', 'qi'): '数码分期',
            ('shu', 'ma', 'feng', 'qi'): '数码分期',
            ('yue', 'seng', 'huo'): '悦生活',
            ('yue', 'shen', 'huo'): '悦生活',
            ('ge', 'reng', 'xin', 'xi'): '个人信息',
            ('ge', 'ren', 'xing', 'xi'): '个人信息',
            ('yun', 'shan', 'she', 'qu'): '云上社区',
            ('yun', 'sang', 'she', 'qu'): '云上社区',
            ('yun', 'shang', 'se', 'qu'): '云上社区',
            ('jia', 'si', 'zheng', 'bu', 'ling'): '驾驶证补领',
            ('jia', 'shi', 'zeng', 'bu', 'ling'): '驾驶证补领',
            ('jia', 'shi', 'zhen', 'bu', 'ling'): '驾驶证补领',
            ('jia', 'shi', 'zheng', 'bu', 'lin'): '驾驶证补领',
            ('zu', 'ce'): '注册',
            ('zhu', 'che'): '注册',
            ('zi', 'hui', 'gu', 'cheng'): '智慧菇城',
            ('zhi', 'hui', 'gu', 'ceng'): '智慧菇城',
            ('zhi', 'hui', 'gu', 'chen'): '智慧菇城',
            ('sou', 'ji', 'chong', 'zhi'): '手机充值',
            ('shou', 'ji', 'cong', 'zhi'): '手机充值',
            ('shou', 'ji', 'chong', 'zi'): '手机充值',
            ('liu', 'lian'): '流量',
            ('fan', 'wu', 'guan', 'li'): '房屋管理',
            ('fang', 'wu', 'guang', 'li'): '房屋管理',
            ('feng', 'qi', 'cha', 'xun'): '分期查询',
            ('fen', 'qi', 'ca', 'xun'): '分期查询',
            ('yun', 'zeng', 'shu'): '云证书',
            ('yun', 'zhen', 'shu'): '云证书',
            ('yun', 'zheng', 'su'): '云证书',
            ('ceng', 'xiang', 'liang', 'fei'): '城乡两费',
            ('chen', 'xiang', 'liang', 'fei'): '城乡两费',
            ('cheng', 'xian', 'liang', 'fei'): '城乡两费',
            ('cheng', 'xiang', 'lian', 'fei'): '城乡两费',
            ('zhan', 'dan', 'cha', 'xun'): '账单查询',
            ('zang', 'dan', 'cha', 'xun'): '账单查询',
            ('zhang', 'dang', 'cha', 'xun'): '账单查询',
            ('zhang', 'dan', 'ca', 'xun'): '账单查询',
            ('tui', 'jiang', 'ban', 'ka'): '推荐办卡',
            ('tui', 'jian', 'bang', 'ka'): '推荐办卡',
            ('sen', 'ti', 'tiao', 'jian', 'zheng', 'ming'): '身体条件证明',
            ('sheng', 'ti', 'tiao', 'jian', 'zheng', 'ming'): '身体条件证明',
            ('shen', 'ti', 'tiao', 'jiang', 'zheng', 'ming'): '身体条件证明',
            ('shen', 'ti', 'tiao', 'jian', 'zeng', 'ming'): '身体条件证明',
            ('shen', 'ti', 'tiao', 'jian', 'zhen', 'ming'): '身体条件证明',
            ('shen', 'ti', 'tiao', 'jian', 'zheng', 'min'): '身体条件证明',
            ('wu', 'ka', 'qu', 'kuang'): '无卡取款',
            ('zhuan', 'xiu', 'fen', 'qi'): '装修分期',
            ('zhuang', 'xiu', 'feng', 'qi'): '装修分期',
            ('sou', 'ji', 'hao', 'zhuan', 'zhang'): '手机号转账',
            ('shou', 'ji', 'hao', 'zhuang', 'zhang'): '手机号转账',
            ('shou', 'ji', 'hao', 'zuan', 'zhang'): '手机号转账',
            ('shou', 'ji', 'hao', 'zhuan', 'zhan'): '手机号转账',
            ('shou', 'ji', 'hao', 'zhuan', 'zang'): '手机号转账',
            ('wo', 'you', 'hua', 'suo'): '我有话说',
            ('se', 'zhi', 'jiao', 'yi', 'mi', 'ma'): '设置交易密码',
            ('she', 'zi', 'jiao', 'yi', 'mi', 'ma'): '设置交易密码',
            ('shui', 'xin', 'hua'): '随心花',
            ('sui', 'xing', 'hua'): '随心花',
            ('jia', 'si', 'zheng', 'shen', 'yan'): '驾驶证审验',
            ('jia', 'shi', 'zeng', 'shen', 'yan'): '驾驶证审验',
            ('jia', 'shi', 'zhen', 'shen', 'yan'): '驾驶证审验',
            ('jia', 'shi', 'zheng', 'sen', 'yan'): '驾驶证审验',
            ('jia', 'shi', 'zheng', 'sheng', 'yan'): '驾驶证审验',
            ('jia', 'shi', 'zheng', 'shen', 'yang'): '驾驶证审验',
            ('liang', 'dai', 'tong'): '链贷通',
            ('si', 'shi', 'tai', 'feng', 'xiao', 'xi'): '实时台风消息',
            ('shi', 'si', 'tai', 'feng', 'xiao', 'xi'): '实时台风消息',
            ('shi', 'shi', 'tai', 'fen', 'xiao', 'xi'): '实时台风消息',
            ('zhan', 'hu', 'guan', 'li'): '账户管理',
            ('zang', 'hu', 'guan', 'li'): '账户管理',
            ('zhang', 'hu', 'guang', 'li'): '账户管理',
            ('xing', 'yong', 'yi', 'liao'): '信用医疗',
            ('ji', 'dong', 'ce', 'he', 'ge', 'biao', 'zhi'): '机动车合格标志',
            ('ji', 'dong', 'che', 'he', 'ge', 'biao', 'zi'): '机动车合格标志',
            ('gu', 'jing'): '股金',
            ('zi', 'hui', 'shi', 'tang'): '智慧食堂',
            ('zhi', 'hui', 'si', 'tang'): '智慧食堂',
            ('zhi', 'hui', 'shi', 'tan'): '智慧食堂',
            ('ji', 'feng'): '积分',
            ('yong', 'shan', 'yun', 'fu'): '永商云付',
            ('yong', 'sang', 'yun', 'fu'): '永商云付',
            ('dian', 'zhi', 'gong', 'zi', 'dan'): '电子工资单',
            ('dian', 'zi', 'gong', 'zhi', 'dan'): '电子工资单',
            ('dian', 'zi', 'gong', 'zi', 'dang'): '电子工资单',
            ('sou', 'shi', 'deng', 'lu'): '手势登录',
            ('shou', 'si', 'deng', 'lu'): '手势登录',
            ('shou', 'shi', 'den', 'lu'): '手势登录',
            ('shou', 'suo', 'shang', 'pin'): '搜索商品',
            ('sou', 'shuo', 'shang', 'pin'): '搜索商品',
            ('sou', 'suo', 'shan', 'pin'): '搜索商品',
            ('sou', 'suo', 'sang', 'pin'): '搜索商品',
            ('sou', 'suo', 'shang', 'ping'): '搜索商品',
            ('xiao', 'yuan', 'ka', 'min', 'xi'): '校园卡明细',
            ('e', 'du', 'guang', 'li'): '额度管理',
            ('sou', 'ru'): '收入',
            ('ce', 'zhu', 'fen', 'qi'): '车主分期',
            ('che', 'zu', 'fen', 'qi'): '车主分期',
            ('che', 'zhu', 'feng', 'qi'): '车主分期',
            ('yang', 'zi', 'tong'): '验资通',
            ('yan', 'zhi', 'tong'): '验资通',
            ('mian', 'den', 'lu', 'zhi', 'fu'): '免登录支付',
            ('mian', 'deng', 'lu', 'zi', 'fu'): '免登录支付',
            ('bao', 'xiang'): '保险',
            ('jiao', 'yi', 'min', 'xi'): '交易明细',
            ('dian', 'zhi', 'zhang', 'hu', 'mi', 'ma'): '电子账户密码',
            ('dian', 'zi', 'zhan', 'hu', 'mi', 'ma'): '电子账户密码',
            ('dian', 'zi', 'zang', 'hu', 'mi', 'ma'): '电子账户密码',
            ('weng', 'nuan', 'dao', 'jia'): '温暖到家',
            ('cang', 'bao', 'xin', 'xi', 'bian', 'geng'): '参保信息变更',
            ('chan', 'bao', 'xin', 'xi', 'bian', 'geng'): '参保信息变更',
            ('can', 'bao', 'xing', 'xi', 'bian', 'geng'): '参保信息变更',
            ('can', 'bao', 'xin', 'xi', 'bian', 'gen'): '参保信息变更',
            ('li', 'zou', 'shu', 'fang'): '丽州书房',
            ('li', 'zhou', 'su', 'fang'): '丽州书房',
            ('li', 'zhou', 'shu', 'fan'): '丽州书房',
            ('fen', 'shou', 'hai', 'shang', 'tong'): '丰收海商通',
            ('feng', 'sou', 'hai', 'shang', 'tong'): '丰收海商通',
            ('feng', 'shou', 'hai', 'shan', 'tong'): '丰收海商通',
            ('feng', 'shou', 'hai', 'sang', 'tong'): '丰收海商通',
            ('lv', 'you', 'feng', 'qi'): '旅游分期',
            ('chun', 'kuan', 'tian', 'dan'): '存款填单',
            ('cun', 'kuang', 'tian', 'dan'): '存款填单',
            ('cun', 'kuan', 'tian', 'dang'): '存款填单',
            ('wan', 'qian', 'zhang', 'hu', 'e', 'du', 'guan', 'li'): '网签账户额度管理',
            ('wang', 'qiang', 'zhang', 'hu', 'e', 'du', 'guan', 'li'): '网签账户额度管理',
            ('wang', 'qian', 'zhan', 'hu', 'e', 'du', 'guan', 'li'): '网签账户额度管理',
            ('wang', 'qian', 'zang', 'hu', 'e', 'du', 'guan', 'li'): '网签账户额度管理',
            ('wang', 'qian', 'zhang', 'hu', 'e', 'du', 'guang', 'li'): '网签账户额度管理',
            ('se', 'bao', 'ka', 'kai', 'ka'): '社保卡开卡',
            ('ka', 'pian', 'guang', 'li'): '卡片管理',
            ('wan', 'dian', 'qu', 'hao'): '网点取号',
            ('mian', 'den', 'lu', 'cha', 'xun'): '免登录查询',
            ('mian', 'deng', 'lu', 'ca', 'xun'): '免登录查询',
            ('jing', 'rong', 'ri', 'li'): '金融日历',
            ('mian', 'mi', 'zi', 'fu'): '免密支付',
            ('xiang', 'shang', 'gou', 'piao'): '线上购票',
            ('xian', 'shan', 'gou', 'piao'): '线上购票',
            ('xian', 'sang', 'gou', 'piao'): '线上购票',
            ('cu', 'zhou', 'di', 'dai'): '处州地带',
            ('chu', 'zou', 'di', 'dai'): '处州地带',
            ('xing', 'yong', 'ka', 'quan', 'yi'): '信用卡权益',
            ('jie', 'qin', 'zheng', 'ming'): '结清证明',
            ('jie', 'qing', 'zeng', 'ming'): '结清证明',
            ('jie', 'qing', 'zhen', 'ming'): '结清证明',
            ('jie', 'qing', 'zheng', 'min'): '结清证明',
            ('po', 'chang', 'shen', 'pan', 'guan', 'li'): '破产审判管理',
            ('po', 'can', 'shen', 'pan', 'guan', 'li'): '破产审判管理',
            ('po', 'chan', 'sen', 'pan', 'guan', 'li'): '破产审判管理',
            ('po', 'chan', 'sheng', 'pan', 'guan', 'li'): '破产审判管理',
            ('po', 'chan', 'shen', 'pang', 'guan', 'li'): '破产审判管理',
            ('po', 'chan', 'shen', 'pan', 'guang', 'li'): '破产审判管理',
            ('zi', 'hui', 'jia', 'xiao'): '智慧驾校',
            ('qu', 'xiang', 'yu', 'yue'): '取现预约',
            ('yuan', 'qu', 'ka', 'cong', 'zhi'): '园区卡充值',
            ('yuan', 'qu', 'ka', 'chong', 'zi'): '园区卡充值',
            ('di', 'zi', 'qi', 'xiang', 'yu', 'bao'): '地质气象预报',
            ('di', 'zhi', 'qi', 'xian', 'yu', 'bao'): '地质气象预报',
            ('ying', 'hang', 'ka', '/', 'cun', 'zhe', 'zhong', 'zhi', 'mi', 'ma'): '银行卡/存折重置密码',
            ('yin', 'han', 'ka', '/', 'cun', 'zhe', 'zhong', 'zhi', 'mi', 'ma'): '银行卡/存折重置密码',
            ('yin', 'hang', 'ka', '/', 'chun', 'zhe', 'zhong', 'zhi', 'mi', 'ma'): '银行卡/存折重置密码',
            ('yin', 'hang', 'ka', '/', 'cun', 'ze', 'zhong', 'zhi', 'mi', 'ma'): '银行卡/存折重置密码',
            ('yin', 'hang', 'ka', '/', 'cun', 'zhe', 'zong', 'zhi', 'mi', 'ma'): '银行卡/存折重置密码',
            ('yin', 'hang', 'ka', '/', 'cun', 'zhe', 'zhong', 'zi', 'mi', 'ma'): '银行卡/存折重置密码',
            ('cang', 'jing', 'zhang', 'hu'): '场景账户',
            ('chan', 'jing', 'zhang', 'hu'): '场景账户',
            ('chang', 'jin', 'zhang', 'hu'): '场景账户',
            ('chang', 'jing', 'zhan', 'hu'): '场景账户',
            ('chang', 'jing', 'zang', 'hu'): '场景账户',
            ('zi', 'hui', 'shui', 'dian'): '智慧水电',
            ('zhi', 'hui', 'sui', 'dian'): '智慧水电',
            ('fen', 'shou', '?', 'le', 'she', 'qu'): '丰收?乐社区',
            ('feng', 'sou', '?', 'le', 'she', 'qu'): '丰收?乐社区',
            ('feng', 'shou', '?', 'le', 'se', 'qu'): '丰收?乐社区',
            ('den', 'lu', 'guan', 'li'): '登录管理',
            ('deng', 'lu', 'guang', 'li'): '登录管理',
            ('se', 'bao', 'zhi', 'fu', 'qian', 'yue'): '社保支付签约',
            ('she', 'bao', 'zi', 'fu', 'qian', 'yue'): '社保支付签约',
            ('she', 'bao', 'zhi', 'fu', 'qiang', 'yue'): '社保支付签约',
            ('yun', 'shan', 'yuan', 'qu'): '云上园区',
            ('yun', 'sang', 'yuan', 'qu'): '云上园区',
            ('zi', 'hui', 'fu', 'wu'): '智慧服务',
            ('fen', 'shou', 'she', 'qu'): '丰收社区',
            ('feng', 'sou', 'she', 'qu'): '丰收社区',
            ('feng', 'shou', 'se', 'qu'): '丰收社区',
            ('se', 'bao', 'cha', 'xun'): '社保查询',
            ('she', 'bao', 'ca', 'xun'): '社保查询',
            ('zi', 'hui', 'cha', 'cheng'): '智慧茶城',
            ('zhi', 'hui', 'ca', 'cheng'): '智慧茶城',
            ('zhi', 'hui', 'cha', 'ceng'): '智慧茶城',
            ('zhi', 'hui', 'cha', 'chen'): '智慧茶城',
            ('zi', 'chu'): '支出',
            ('zhi', 'cu'): '支出',
            ('fen', 'shou', 'ETC'): '丰收ETC',
            ('feng', 'sou', 'ETC'): '丰收ETC',
            ('ze', 'li', 'ban'): '浙里办',
            ('zhe', 'li', 'bang'): '浙里办',
            ('yun', 'shan', 'shi', 'zheng'): '云上市政',
            ('yun', 'sang', 'shi', 'zheng'): '云上市政',
            ('yun', 'shang', 'si', 'zheng'): '云上市政',
            ('yun', 'shang', 'shi', 'zeng'): '云上市政',
            ('yun', 'shang', 'shi', 'zhen'): '云上市政',
            ('dian', 'zhi', 'zhang', 'hu', 'bao', 'hu'): '电子账户保护',
            ('dian', 'zi', 'zhan', 'hu', 'bao', 'hu'): '电子账户保护',
            ('dian', 'zi', 'zang', 'hu', 'bao', 'hu'): '电子账户保护',
            ('li', 'ping', 'ka'): '礼品卡',
            ('se', 'bao', 'ka', 'shen', 'ling'): '社保卡申领',
            ('she', 'bao', 'ka', 'sen', 'ling'): '社保卡申领',
            ('she', 'bao', 'ka', 'sheng', 'ling'): '社保卡申领',
            ('she', 'bao', 'ka', 'shen', 'lin'): '社保卡申领',
            ('xing', 'nong', 'dai'): '信农贷',
            ('jia', 'si', 'zheng', 'bu', 'ling', '、', 'huan', 'ling'): '驾驶证补领、换领',
            ('jia', 'shi', 'zeng', 'bu', 'ling', '、', 'huan', 'ling'): '驾驶证补领、换领',
            ('jia', 'shi', 'zhen', 'bu', 'ling', '、', 'huan', 'ling'): '驾驶证补领、换领',
            ('jia', 'shi', 'zheng', 'bu', 'lin', '、', 'huan', 'ling'): '驾驶证补领、换领',
            ('jia', 'shi', 'zheng', 'bu', 'ling', '、', 'huang', 'ling'): '驾驶证补领、换领',
            ('jia', 'shi', 'zheng', 'bu', 'ling', '、', 'huan', 'lin'): '驾驶证补领、换领',
            ('re', 'meng', 'huo', 'dong'): '热门活动',
            ('ze', 'li', 'fu'): '浙里富',
            ('wo', 'yao', 'feng', 'qi'): '我要分期',
            ('II', 'lei', 'hu', 'jian', 'ji'): 'II类户降级',
            ('xin', 'shi', 'zheng', 'bu', '、', 'huan', 'ling'): '行驶证补、换领',
            ('xing', 'si', 'zheng', 'bu', '、', 'huan', 'ling'): '行驶证补、换领',
            ('xing', 'shi', 'zeng', 'bu', '、', 'huan', 'ling'): '行驶证补、换领',
            ('xing', 'shi', 'zhen', 'bu', '、', 'huan', 'ling'): '行驶证补、换领',
            ('xing', 'shi', 'zheng', 'bu', '、', 'huang', 'ling'): '行驶证补、换领',
            ('xing', 'shi', 'zheng', 'bu', '、', 'huan', 'lin'): '行驶证补、换领',
            ('ming', 'sheng', 'yun'): '民生云',
            ('min', 'seng', 'yun'): '民生云',
            ('min', 'shen', 'yun'): '民生云',
            ('bang', 'ka', 'jin', 'du'): '办卡进度',
            ('ban', 'ka', 'jing', 'du'): '办卡进度',
            ('gong', 'ji', 'jing'): '公积金',
            ('wu', 'gang', 'ting', 'che'): '无感停车',
            ('wu', 'gan', 'ting', 'ce'): '无感停车',
            ('di', 'shan', 'fang', 'zhi', 'fu', 'e', 'du', 'guan', 'li'): '第三方支付额度管理',
            ('di', 'sang', 'fang', 'zhi', 'fu', 'e', 'du', 'guan', 'li'): '第三方支付额度管理',
            ('di', 'san', 'fan', 'zhi', 'fu', 'e', 'du', 'guan', 'li'): '第三方支付额度管理',
            ('di', 'san', 'fang', 'zi', 'fu', 'e', 'du', 'guan', 'li'): '第三方支付额度管理',
            ('di', 'san', 'fang', 'zhi', 'fu', 'e', 'du', 'guang', 'li'): '第三方支付额度管理',
            ('xin', 'pu', 'tuo'): '行普陀',
            ('ce', 'zhu', 'xin', 'xi', 'bian', 'geng'): '车主信息变更',
            ('che', 'zu', 'xin', 'xi', 'bian', 'geng'): '车主信息变更',
            ('che', 'zhu', 'xing', 'xi', 'bian', 'geng'): '车主信息变更',
            ('che', 'zhu', 'xin', 'xi', 'bian', 'gen'): '车主信息变更',
            ('fen', 'shou', 'gou'): '丰收购',
            ('feng', 'sou', 'gou'): '丰收购',
            ('yi', 'dong', 'jiao', 'sui'): '移动缴税',
            ('jiao', 'tong', 'fa', 'mo', 'kuang'): '交通罚没款',
            ('liang', '+'): '连+',
            ('kuai', 'jie', 'fan', 'shi', 'she', 'zhi'): '快捷方式设置',
            ('kuai', 'jie', 'fang', 'si', 'she', 'zhi'): '快捷方式设置',
            ('kuai', 'jie', 'fang', 'shi', 'se', 'zhi'): '快捷方式设置',
            ('kuai', 'jie', 'fang', 'shi', 'she', 'zi'): '快捷方式设置',
            ('bao', 'xiang', 'fen', 'qi'): '保险分期',
            ('bao', 'xian', 'feng', 'qi'): '保险分期',
            ('huang', 'ying', 'ye', 'she', 'zhi'): '欢迎页设置',
            ('huan', 'yin', 'ye', 'she', 'zhi'): '欢迎页设置',
            ('huan', 'ying', 'ye', 'se', 'zhi'): '欢迎页设置',
            ('huan', 'ying', 'ye', 'she', 'zi'): '欢迎页设置',
            ('chun', 'kuan'): '存款',
            ('cun', 'kuang'): '存款',
            ('ying', 'hang', 'ka', '/', 'cun', 'zhe', 'gua', 'shi'): '银行卡/存折挂失',
            ('yin', 'han', 'ka', '/', 'cun', 'zhe', 'gua', 'shi'): '银行卡/存折挂失',
            ('yin', 'hang', 'ka', '/', 'chun', 'zhe', 'gua', 'shi'): '银行卡/存折挂失',
            ('yin', 'hang', 'ka', '/', 'cun', 'ze', 'gua', 'shi'): '银行卡/存折挂失',
            ('yin', 'hang', 'ka', '/', 'cun', 'zhe', 'gua', 'si'): '银行卡/存折挂失',
            ('jiang', 'kang', 'yi', 'bao'): '健康医保',
            ('jian', 'kan', 'yi', 'bao'): '健康医保',
            ('li', 'sui', 'su', 'yuan'): '丽水溯源',
            ('li', 'shui', 'shu', 'yuan'): '丽水溯源',
            ('jie', 'ji', 'ka', 'mian', 'mi', 'mian', 'qiang'): '借记卡免密免签',
            ('hui', 'dang', 'yan', 'zheng'): '回单验证',
            ('hui', 'dan', 'yang', 'zheng'): '回单验证',
            ('hui', 'dan', 'yan', 'zeng'): '回单验证',
            ('hui', 'dan', 'yan', 'zhen'): '回单验证',
            ('wan', 'dian', 'cha', 'xun'): '网点查询',
            ('wang', 'dian', 'ca', 'xun'): '网点查询',
            ('sen', 'fen', 'zheng', 'geng', 'xin'): '身份证更新',
            ('sheng', 'fen', 'zheng', 'geng', 'xin'): '身份证更新',
            ('shen', 'feng', 'zheng', 'geng', 'xin'): '身份证更新',
            ('shen', 'fen', 'zeng', 'geng', 'xin'): '身份证更新',
            ('shen', 'fen', 'zhen', 'geng', 'xin'): '身份证更新',
            ('shen', 'fen', 'zheng', 'gen', 'xin'): '身份证更新',
            ('shen', 'fen', 'zheng', 'geng', 'xing'): '身份证更新',
            ('he', 'yue', 'guang', 'li'): '合约管理',
            ('yun', 'shan', 'dai'): '云商贷',
            ('yun', 'sang', 'dai'): '云商贷',
            ('zi', 'hui', 'shi', 'chang'): '智慧市场',
            ('zhi', 'hui', 'si', 'chang'): '智慧市场',
            ('zhi', 'hui', 'shi', 'cang'): '智慧市场',
            ('zhi', 'hui', 'shi', 'chan'): '智慧市场',
            ('se', 'bao', 'jiao', 'fei'): '社保缴费',
            ('dai', 'kuang', 'xin', 'xi'): '贷款信息',
            ('dai', 'kuan', 'xing', 'xi'): '贷款信息',
            ('wo', 'yao', 'jie', 'qiang'): '我要借钱',
            ('yu', 'yue', 'zhuang', 'zhang'): '预约转账',
            ('yu', 'yue', 'zuan', 'zhang'): '预约转账',
            ('yu', 'yue', 'zhuan', 'zhan'): '预约转账',
            ('yu', 'yue', 'zhuan', 'zang'): '预约转账',
            ('se', 'bao', 'fu', 'wu'): '社保服务',
            ('jia', 'ting', 'li', 'chai'): '家庭理财',
            ('la', 'ji', 'feng', 'lei'): '垃圾分类',
            ('kuai', 'jie', 'qiang', 'yue'): '快捷签约',
            ('dian', 'zhi', 'ka', 'bao'): '电子卡包',
            ('wo', 'de', 'pen', 'you'): '我的朋友',
            ('xing', 'yong', 'ka', 'ji', 'fen'): '信用卡积分',
            ('xin', 'yong', 'ka', 'ji', 'feng'): '信用卡积分',
            ('yun', 'shan', 'hu'): '云商户',
            ('yun', 'sang', 'hu'): '云商户',
            ('zhuang', 'zhang'): '转账',
            ('zuan', 'zhang'): '转账',
            ('zhuan', 'zhan'): '转账',
            ('zhuan', 'zang'): '转账',
            ('zhi', 'chan', 'zong', 'lan'): '资产总览',
            ('zi', 'chang', 'zong', 'lan'): '资产总览',
            ('zi', 'can', 'zong', 'lan'): '资产总览',
            ('zi', 'chan', 'zhong', 'lan'): '资产总览',
            ('zi', 'chan', 'zong', 'lang'): '资产总览',
            ('min', 'xi', 'cha', 'xun'): '明细查询',
            ('ming', 'xi', 'ca', 'xun'): '明细查询',
            ('ban', 'ding', 'she', 'bei'): '绑定设备',
            ('bang', 'ding', 'se', 'bei'): '绑定设备',
            ('fen', 'shou', 'shang', 'cheng'): '丰收商城',
            ('feng', 'sou', 'shang', 'cheng'): '丰收商城',
            ('feng', 'shou', 'shan', 'cheng'): '丰收商城',
            ('feng', 'shou', 'sang', 'cheng'): '丰收商城',
            ('feng', 'shou', 'shang', 'ceng'): '丰收商城',
            ('feng', 'shou', 'shang', 'chen'): '丰收商城',
            ('zhan', 'dan', 'dao', 'chu'): '账单导出',
            ('zang', 'dan', 'dao', 'chu'): '账单导出',
            ('zhang', 'dang', 'dao', 'chu'): '账单导出',
            ('zhang', 'dan', 'dao', 'cu'): '账单导出',
            ('ji', 'dong', 'ce', 'lin', 'shi', 'hao', 'pai'): '机动车临时号牌',
            ('ji', 'dong', 'che', 'ling', 'shi', 'hao', 'pai'): '机动车临时号牌',
            ('ji', 'dong', 'che', 'lin', 'si', 'hao', 'pai'): '机动车临时号牌',
            ('wo', 'yao', 'hai', 'kuang'): '我要还款',
            ('ceng', 'ren', 'gao', 'kao', 'cha', 'xun'): '成人高考查询',
            ('chen', 'ren', 'gao', 'kao', 'cha', 'xun'): '成人高考查询',
            ('cheng', 'reng', 'gao', 'kao', 'cha', 'xun'): '成人高考查询',
            ('cheng', 'ren', 'gao', 'kao', 'ca', 'xun'): '成人高考查询',
            ('zhuang', 'jia', 'wen', 'zhen'): '专家问诊',
            ('zuan', 'jia', 'wen', 'zhen'): '专家问诊',
            ('zhuan', 'jia', 'weng', 'zhen'): '专家问诊',
            ('zhuan', 'jia', 'wen', 'zheng'): '专家问诊',
            ('zhuan', 'jia', 'wen', 'zen'): '专家问诊',
            ('ti', 'jiang', 'yu', 'yue'): '体检预约',
            ('cong', 'zhi', 'cha', 'xun'): '充值查询',
            ('chong', 'zi', 'cha', 'xun'): '充值查询',
            ('chong', 'zhi', 'ca', 'xun'): '充值查询',
            ('long', 'wang', 'feng', 'shou', 'lian', 'meng'): '龙湾丰收联盟',
            ('long', 'wan', 'fen', 'shou', 'lian', 'meng'): '龙湾丰收联盟',
            ('long', 'wan', 'feng', 'sou', 'lian', 'meng'): '龙湾丰收联盟',
            ('long', 'wan', 'feng', 'shou', 'liang', 'meng'): '龙湾丰收联盟',
            ('long', 'wan', 'feng', 'shou', 'lian', 'men'): '龙湾丰收联盟',
            ('ce', 'wei', 'fen', 'qi'): '车位分期',
            ('che', 'wei', 'feng', 'qi'): '车位分期',
            ('ti', 'e', 'sen', 'qing'): '提额申请',
            ('ti', 'e', 'sheng', 'qing'): '提额申请',
            ('ti', 'e', 'shen', 'qin'): '提额申请',
            ('gong', 'ji', 'jing', 'ti', 'qu'): '公积金提取',
            ('dai', 'kuang', 'hai', 'kuan'): '贷款还款',
            ('dai', 'kuan', 'hai', 'kuang'): '贷款还款',
            ('an', 'quan', 'guang', 'li'): '安全管理',
            ('seng', 'wu', 'shi', 'bie', 'zhi', 'fu'): '生物识别支付',
            ('shen', 'wu', 'shi', 'bie', 'zhi', 'fu'): '生物识别支付',
            ('sheng', 'wu', 'si', 'bie', 'zhi', 'fu'): '生物识别支付',
            ('sheng', 'wu', 'shi', 'bie', 'zi', 'fu'): '生物识别支付',
            ('jin', 'wai', 'te', 'hui'): '境外特惠',
            ('ze', 'li', 'dai'): '浙里贷',
            ('seng', 'huo', 'fu', 'wu'): '生活服务',
            ('shen', 'huo', 'fu', 'wu'): '生活服务',
            ('dai', 'kuang', 'jin', 'du', 'cha', 'xun'): '贷款进度查询',
            ('dai', 'kuan', 'jing', 'du', 'cha', 'xun'): '贷款进度查询',
            ('dai', 'kuan', 'jin', 'du', 'ca', 'xun'): '贷款进度查询',
            ('mei', 'hao', 'seng', 'huo'): '美好生活',
            ('mei', 'hao', 'shen', 'huo'): '美好生活',
            ('SIM', 'dun', 'guang', 'li'): 'SIM盾管理',
            ('an', 'quan', 'jiang', 'pan', 'she', 'zhi'): '安全键盘设置',
            ('an', 'quan', 'jian', 'pang', 'she', 'zhi'): '安全键盘设置',
            ('an', 'quan', 'jian', 'pan', 'se', 'zhi'): '安全键盘设置',
            ('an', 'quan', 'jian', 'pan', 'she', 'zi'): '安全键盘设置',
            ('se', 'zhi'): '设置',
            ('she', 'zi'): '设置',
            ('chai', 'fu', 'dai', 'xiao'): '财富代销',
            ('zi', 'hui', 'chong', 'zhi', 'fu', 'wu'): '智慧充值服务',
            ('zhi', 'hui', 'cong', 'zhi', 'fu', 'wu'): '智慧充值服务',
            ('zhi', 'hui', 'chong', 'zi', 'fu', 'wu'): '智慧充值服务',
            ('zi', 'fu', 'zhang', 'hao', 'shun', 'xu'): '支付账号顺序',
            ('zhi', 'fu', 'zhan', 'hao', 'shun', 'xu'): '支付账号顺序',
            ('zhi', 'fu', 'zang', 'hao', 'shun', 'xu'): '支付账号顺序',
            ('zhi', 'fu', 'zhang', 'hao', 'sun', 'xu'): '支付账号顺序',
            ('yun', 'zeng', 'shu', 'shen', 'ling'): '云证书申领',
            ('yun', 'zhen', 'shu', 'shen', 'ling'): '云证书申领',
            ('yun', 'zheng', 'su', 'shen', 'ling'): '云证书申领',
            ('yun', 'zheng', 'shu', 'sen', 'ling'): '云证书申领',
            ('yun', 'zheng', 'shu', 'sheng', 'ling'): '云证书申领',
            ('yun', 'zheng', 'shu', 'shen', 'lin'): '云证书申领',
            ('e', 'feng', 'qi', 'cha', 'xun'): 'e分期查询',
            ('e', 'fen', 'qi', 'ca', 'xun'): 'e分期查询',
            ('qi', 'ce', 'fen', 'qi'): '汽车分期',
            ('qi', 'che', 'feng', 'qi'): '汽车分期',
            ('wo', 'de', 'zhan', 'hu'): '我的账户',
            ('wo', 'de', 'zang', 'hu'): '我的账户',
            ('chang', 'pin', 'qian', 'yue'): '产品签约',
            ('can', 'pin', 'qian', 'yue'): '产品签约',
            ('chan', 'ping', 'qian', 'yue'): '产品签约',
            ('chan', 'pin', 'qiang', 'yue'): '产品签约'
        }
        new_di = di.copy()
        for key, value in di.items():
            new_di["".join(key)] = value
        return new_di


    def __init__(self):
        self.di = self._get_dict()


    def correct(self, text):
        correct_list = []
        res = re.findall("[a-z\s]+", text)
        for elem in res:
            tmp = re.split("\s+", elem)
            tmp = tuple(tmp)
            if tmp in self.di:
                correct_list.append(self.di[tmp])
            for e in tmp:
                if e in self.di:
                    correct_list.append(self.di[e])
        return correct_list


# c = Corrector()
# res = c.correct("zhuan zhan功能 zhuanzhan")
# print(res)


